Page MenuHomePhabricator

Decommission db2054.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission of server db2054.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2054
Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Change 536797 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2054

https://gerrit.wikimedia.org/r/536797

Change 536798 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2054 from config

https://gerrit.wikimedia.org/r/536798

Change 536798 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2054 from config

https://gerrit.wikimedia.org/r/536798

Mentioned in SAL (#wikimedia-operations) [2019-09-16T05:58:05Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2054 from config T232969 (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2019-09-16T05:59:22Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2054 from config T232969 (duration: 01m 03s)

Marostegui triaged this task as Normal priority.Sep 16 2019, 6:01 AM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-09-16T06:01:53Z] <marostegui> Remove db2054 from tendril and zarcillo T232969

Change 536797 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2054

https://gerrit.wikimedia.org/r/536797

Marostegui updated the task description. (Show Details)Sep 16 2019, 6:03 AM

Mentioned in SAL (#wikimedia-operations) [2019-09-16T06:03:59Z] <marostegui> Stop MySQL on db2054 for decommissioning T232969

Marostegui reassigned this task from Marostegui to RobH.Sep 16 2019, 6:04 AM
Marostegui edited projects, added decommission, ops-codfw, DC-Ops; removed Patch-For-Review, DBA.
Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2054.codfw.wmnet

  • db2054.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 540008 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove references to db2054

https://gerrit.wikimedia.org/r/540008

Change 540009 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production entries for db2054

https://gerrit.wikimedia.org/r/540009

Change 540008 merged by Marostegui:
[operations/puppet@production] site.pp: Remove references to db2054

https://gerrit.wikimedia.org/r/540008

Change 540009 merged by Marostegui:
[operations/dns@master] wmnet: Remove production entries for db2054

https://gerrit.wikimedia.org/r/540009

Marostegui reassigned this task from RobH to Papaul.Tue, Oct 1, 5:17 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for @Papaul for on-site steps + switch disablement

Papaul added a comment.EditedTue, Oct 1, 2:29 PM
papaul@asw-d-codfw# show | compare 
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/2;
[edit interfaces interface-range disabled]
     member ge-3/0/10 { ... }
+    member ge-6/0/2;
[edit interfaces]
-   ge-6/0/2 {
-       description db2054;
-       enable;
-   }
Papaul updated the task description. (Show Details)Thu, Oct 3, 10:19 PM
RobH removed a subscriber: RobH.Thu, Oct 3, 11:15 PM

Change 540728 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2035 and db2054

https://gerrit.wikimedia.org/r/540728

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Thu, Oct 3, 11:58 PM

Change 540728 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2035 and db2054

https://gerrit.wikimedia.org/r/540728

Papaul closed this task as Resolved.Fri, Oct 4, 12:10 AM
Papaul updated the task description. (Show Details)
Papaul added a subscriber: RobH.

Complete